Intereting Posts
Имя частной собственности не соответствует регулярному выражению Что такое @InlineOnly аннотация? Gradle Compilation не может найти tornadofx в Linux Ошибка Kotlin при ссылке на активность из внутреннего класса Десериализация классов с ленивыми свойствами с использованием Gson и Kotlin 1.0 beta 4 В Котлине, как сделать свойство доступным только для определенного типа Имея проблемы с записью в EditText в Котлине Комната (AAC): Ошибка SQL или отсутствующая база данных (рядом с «group»: синтаксическая ошибка) Как пропустить модели proguard, используемые retrofit2, которые находятся на базовом пакете? Android заполняет массив с помощью данных firebase, а не строк Конструктор Котлин (первичный конструктор) Почему котировский код байта ссылки java.util.function.BiConsumer? getFragmentManager () не работает в Котлине Линии рисования из ViewModel TornadoFX Eclipse – Как добавить Kotlin в проект Tomcat – Скомпилируйте файлы Kotlin AND Java

android studio 3.0.1 и kotlin v1.2.10-release-Studio3.0-1 получили проблемы

Я использую android studio 3.0.1, и я собирался использовать Kotlin.

Я написал простой код, и когда приложение запускает студию Android, я вижу ниже ошибки:

Ошибка: Gradle:

Возникла проблема с настройкой корневого проекта «Firstapp1».
Не удалось разрешить все файлы для конфигурации ': classpath'.
Не удалось разрешить com.android.tools.build:gradle:3.0.1.
Требуется:
проект:
Не удалось разрешить com.android.tools.build:gradle:3.0.1.
Не удалось разобрать POM https://dl.google.com/dl/android/maven2/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom
Уже видел doctype.

Версия для Gradle: 4.1 Плагин для Android: 3.0.1

Пожалуйста, помогите мне решить эту проблему!

Убедитесь, что версия kotlin, используемая в градиенте, и версия плагина kotlin те же, что и в следующих снимках: введите описание изображения здесь

Версия в gradle – 1.1.51

введите описание изображения здесь

Версия установленного плагина также 1.1.51

Я решил эту проблему.thanks.i есть новая проблема …

Ошибка: Gradle: возникла проблема с настройкой корневого проекта «Firstapp1».

Не удалось разрешить все файлы для конфигурации ': classpath'. Не удалось разрешить com.android.tools.build:gradle:3.0.1. Обязательно: project: Не удалось разрешить com.android.tools.build:gradle:3.0.1. Не удалось разобрать POM https://dl.google.com/dl/android/maven2/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom Уже видел doctype. Не удалось разрешить com.android.tools.build:gradle:3.0.1. Не удалось получить ресурс « https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom ». Не удалось HEAD ' https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom '. Подключиться к jcenter.bintray.com:443 [jcenter.bintray.com/108.168.243.150] не удалось: время ожидания подключения: connect